Bug 70848 - RFE: suggest precomputed netmask in manual network configuration
Summary: RFE: suggest precomputed netmask in manual network configuration
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-06 02:03 UTC by Jay Berkenbilt
Modified: 2007-03-27 03:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-05 02:47:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Berkenbilt 2002-08-06 02:03:48 UTC
Description of Problem:

When configuration a network interface manually, you must enter in both an IP
address and a netmask.  It might be convenient if the system pre-filled in the
netmask field with the default netmask based on the IP address as was done in
previous releases.  (i.e., 255.0.0.0 for class A (1.x.x.x - 127.x.x.x),
255.255.0.0 for class B (128.x.x.x - 191.x.x.x) and 255.255.255.0 for class C
(192.x.x.x - 223.x.x.x))

I'm not sure why I'm suggesting this, actually -- I don't even use default
netmasks for my own network.  Perhaps I'm just so accustommed to seeing that
that it feels wrong if it isn't there.

Comment 1 Michael Fulbright 2002-08-12 18:45:21 UTC
Related to bug 67124.

Comment 2 Jeremy Katz 2004-10-05 02:47:19 UTC
With the advent of CIDR, this isn't overly relevant anymore
(unfortunately)


Note You need to log in before you can comment on or make changes to this bug.